Skip to main content
PUT
/
v3
/
models
/
{model_id}
/
deploy-artifact
Update artifacts associated with the model
curl --request PUT \
  --url https://{host}/v3/models/{model_id}/deploy-artifact \
  --header 'Authorization: Bearer <token>'
{
  "api_version": "3.0",
  "kind": "NORMAL",
  "data": {
    "job": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://handbook.fiddler.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

model_id
string<uuid>
required

model id path parameter

Query Parameters

deployment_params
string

JSON encoded Deployment Params

Response

Updated Model Artifacts

Response object for standard API responses.

api_version
enum<string>
default:3.0

API version.

Available options:
2.0,
3.0
kind
enum<string>
default:NORMAL

Type of response, indicating a normal response.

Available options:
NORMAL
data
object